> ## Documentation Index
> Fetch the complete documentation index at: https://docs.poix.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Get comment threads

> Retrieve comment threads for a specified video, channel, or comment.



## OpenAPI

````yaml get /commentThreads
openapi: 3.1.0
info:
  version: 1.0.0
  title: Poix API
servers:
  - url: https://api.poix.io
    description: Production server
security: []
paths:
  /commentThreads:
    get:
      summary: Get comment threads
      description: Retrieve comment threads for a specified video, channel, or comment.
      operationId: getVideoCommentThreads
      parameters:
        - schema:
            type: string
            minLength: 11
            maxLength: 11
            description: >-
              The YouTube video ID to get comment threads for. This is a unique
              11-character string.
            example: dQw4w9WgXcQ
          required: false
          description: >-
            The YouTube video ID to get comment threads for. This is a unique
            11-character string.
          name: videoId
          in: query
        - schema:
            type: string
            minLength: 24
            maxLength: 24
            description: >-
              The YouTube channel ID to get comment threads for. This is a
              unique 24-character string.
            example: UCuAXFkgsw1L7xaCfnd5JJOw
          required: false
          description: >-
            The YouTube channel ID to get comment threads for. This is a unique
            24-character string.
          name: channelId
          in: query
        - schema:
            type: string
            description: >-
              The list of comment IDs to get threads for. Use this to retrieve
              replies to a comments.
            example: UgzarqjaaPC7TbFINNx4AaABAg
          required: false
          description: >-
            The list of comment IDs to get threads for. Use this to retrieve
            replies to a comments.
          name: commentIds
          in: query
        - schema:
            type: string
            description: >-
              The page token to retrieve the next page of comment threads. This
              token is provided in the `nextPageToken` field of the previous
              response.
          required: false
          description: >-
            The page token to retrieve the next page of comment threads. This
            token is provided in the `nextPageToken` field of the previous
            response.
          name: pageToken
          in: query
        - schema:
            type: string
            description: >-
              A search term to filter comment threads. Only threads containing
              this term will be returned.
            example: great video
          required: false
          description: >-
            A search term to filter comment threads. Only threads containing
            this term will be returned.
          name: searchTerm
          in: query
        - schema:
            type: string
            enum:
              - time
              - relevance
            description: >-
              The order to sort comment threads by. "time" sorts by newest
              first, "relevance" sorts by most relevant first.
            example: time
          required: false
          description: >-
            The order to sort comment threads by. "time" sorts by newest first,
            "relevance" sorts by most relevant first.
          name: order
          in: query
        - schema:
            type: string
            enum:
              - html
              - plainText
            default: html
            description: >-
              The format to return comments in. "html" includes HTML formatting,
              "plainText" returns unformatted text.
          required: false
          description: >-
            The format to return comments in. "html" includes HTML formatting,
            "plainText" returns unformatted text.
          name: format
          in: query
      responses:
        '200':
          description: Successful response
          content:
            application/json:
              schema:
                type: object
                properties:
                  nextPageToken:
                    type: string
                    description: Token to retrieve the next page of results, if available
                  data:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          description: Unique identifier for the comment thread
                        channelId:
                          type: string
                          description: >-
                            ID of the channel the comment thread is associated
                            with
                        videoId:
                          type: string
                          description: >-
                            ID of the video the comment thread is associated
                            with
                        textDisplay:
                          type: string
                          description: The comment's text with HTML formatting
                        textOriginal:
                          type: string
                          description: The comment's original text without formatting
                        authorDisplayName:
                          type: string
                          description: Display name of the comment author
                        authorProfileImageUrl:
                          type: string
                          description: URL of the author's profile image
                        authorChannelUrl:
                          type: string
                          description: URL of the author's YouTube channel
                        authorChannelId:
                          type: object
                          properties:
                            value:
                              type: string
                              description: The channel ID of the comment author
                          required:
                            - value
                        canRate:
                          type: boolean
                          description: Whether the authenticated user can rate this comment
                        viewerRating:
                          type: string
                          description: The rating given by the authenticated user, if any
                        likeCount:
                          type: number
                          description: Number of likes for this comment
                        publishedAt:
                          type: string
                          description: The date and time when this comment was published
                        updatedAt:
                          type: string
                          description: The date and time when this comment was last updated
                        totalReplyCount:
                          type: number
                          description: Total number of replies to this comment
                        replies:
                          type: array
                          items:
                            type: object
                            properties:
                              id:
                                type: string
                                description: Unique identifier for the reply
                              channelId:
                                type: string
                                description: ID of the channel the reply is associated with
                              videoId:
                                type: string
                                description: ID of the video the reply is associated with
                              textDisplay:
                                type: string
                                description: The comment's text with HTML formatting
                              textOriginal:
                                type: string
                                description: The comment's original text without formatting
                              parentId:
                                type: string
                                description: ID of the parent comment
                              authorDisplayName:
                                type: string
                                description: Display name of the comment author
                              authorProfileImageUrl:
                                type: string
                                description: URL of the author's profile image
                              authorChannelUrl:
                                type: string
                                description: URL of the author's YouTube channel
                              authorChannelId:
                                type: object
                                properties:
                                  value:
                                    type: string
                                    description: The channel ID of the comment author
                                required:
                                  - value
                              canRate:
                                type: boolean
                                description: >-
                                  Whether the authenticated user can rate this
                                  comment
                              viewerRating:
                                type: string
                                description: >-
                                  The rating given by the authenticated user, if
                                  any
                              likeCount:
                                type: number
                                description: Number of likes for this comment
                              publishedAt:
                                type: string
                                description: >-
                                  The date and time when this comment was
                                  published
                              updatedAt:
                                type: string
                                description: >-
                                  The date and time when this comment was last
                                  updated
                            required:
                              - id
                              - channelId
                              - videoId
                              - textDisplay
                              - textOriginal
                              - parentId
                              - authorDisplayName
                              - authorProfileImageUrl
                              - authorChannelUrl
                              - authorChannelId
                              - canRate
                              - viewerRating
                              - likeCount
                              - publishedAt
                              - updatedAt
                          minItems: 0
                          description: Array of reply objects, if any
                      required:
                        - id
                        - channelId
                        - videoId
                        - textDisplay
                        - textOriginal
                        - authorDisplayName
                        - authorProfileImageUrl
                        - authorChannelUrl
                        - authorChannelId
                        - canRate
                        - viewerRating
                        - likeCount
                        - publishedAt
                        - updatedAt
                        - totalReplyCount
                    description: Array of comment thread objects
                required:
                  - data
              example:
                nextPageToken: >-
                  Z2V0X25ld2VzdF9maXJzdC0tQ2dnSWdBUVZGN2ZST0JJRkNJZ2dHQUFTQlFpb0lCZ0FFZ1VJaVNBWUFCSUZDSWNnR0FBU0JRaWRJQmdCR0FBaURnb01DTVdUeTdjR0VLRFE0SjBC
                data:
                  - id: UgzarqjaaPC7TbFINNx4AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: >-
                      1 BILLION views for Never Gonna Give You Up!  Amazing,
                      crazy, wonderful! Rick ♥️
                    textOriginal: >-
                      1 BILLION views for Never Gonna Give You Up!  Amazing,
                      crazy, wonderful! Rick ♥️
                    authorDisplayName: '@RickAstleyYT'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/coJBIm7rugfAkdb9_cw5Lry2NDnfSYDjL5MBu_R2st_YCLsZtDxYu28h2EAJzPfY8qudaF8U=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@RickAstleyYT
                    authorChannelId:
                      value: UCuAXFkgsw1L7xaCfnd5JJOw
                    canRate: true
                    viewerRating: none
                    likeCount: 1404600
                    publishedAt: '2021-07-28T21:00:32Z'
                    updatedAt: '2021-07-28T21:00:32Z'
                    totalReplyCount: 750
                    replies:
                      - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Xt-Bv-i
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: 🧏
                        textOriginal: 🧏
                        parentId: UgzarqjaaPC7TbFINNx4AaABAg
                        authorDisplayName: '@25mxfu'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/eFMdry0aqPatgKf2a4fruwImpjDabWq3FhhI22cv2EaZZ7fFlT1_VIzwag6ix9nfKclvsEpw4w=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@25mxfu
                        authorChannelId:
                          value: UCNk7c5zOVZH3ep7S0lJOrPQ
                        canRate: true
                        viewerRating: none
                        likeCount: 144865
                        publishedAt: '2021-07-28T21:00:45Z'
                        updatedAt: '2024-02-18T20:14:21Z'
                      - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9Y00WCrh
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: You are the king of memes
                        textOriginal: You are the king of memes
                        parentId: UgzarqjaaPC7TbFINNx4AaABAg
                        authorDisplayName: '@RememberRonSherman'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/VVrv3SZ2WS9k_u-pGoIdMjU0hmwBR-gYLMFRX9jc_mCBtNs42IcMCJSVQfJyna6nHrN8smpGYD0=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@RememberRonSherman
                        authorChannelId:
                          value: UCvrLrfv5QOVbocZFxEIsWXg
                        canRate: true
                        viewerRating: none
                        likeCount: 96555
                        publishedAt: '2021-07-28T21:00:47Z'
                        updatedAt: '2021-07-28T21:01:59Z'
                      - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YYj-kTm
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: If you are seeing this you probably got rickrolled 😔
                        textOriginal: If you are seeing this you probably got rickrolled 😔
                        parentId: UgzarqjaaPC7TbFINNx4AaABAg
                        authorDisplayName: '@mune1'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/_dF2uIfWc72vCTMdCB4jOWRpTfhJmx0FOPtusBhJu6IwuF-jJ6PKYarlcRp-4oS2ic_XAQyRPQ=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@mune1
                        authorChannelId:
                          value: UCpelf0uhG-_eRnaPl-G7_lA
                        canRate: true
                        viewerRating: none
                        likeCount: 70229
                        publishedAt: '2021-07-28T21:00:51Z'
                        updatedAt: '2021-08-09T06:06:58Z'
                      - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YghC1wE
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: Rick&#39;d
                        textOriginal: Rick'd
                        parentId: UgzarqjaaPC7TbFINNx4AaABAg
                        authorDisplayName: '@aliale161'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/ytc/AIdro_k2y9Y93UgTWST5dVa5h_YXvCUn427wn4yeAA-ZuKo=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@aliale161
                        authorChannelId:
                          value: UCefA8r7E0qTfvCerb18C82g
                        canRate: true
                        viewerRating: none
                        likeCount: 40331
                        publishedAt: '2021-07-28T21:00:52Z'
                        updatedAt: '2021-09-28T02:10:03Z'
                      - id: UgzarqjaaPC7TbFINNx4AaABAg.9QM9WCCnud69QM9YnKUTOD
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: 1 BILLION BABY!
                        textOriginal: 1 BILLION BABY!
                        parentId: UgzarqjaaPC7TbFINNx4AaABAg
                        authorDisplayName: '@ZerakimSC2'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/ytc/AIdro_mRZVaPjSfLd3303hsE_jXA3Sp30ZQ4RkcsFTKGLPskGg=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@ZerakimSC2
                        authorChannelId:
                          value: UCzXc-QELHzOMohBhsCjxzxA
                        canRate: true
                        viewerRating: none
                        likeCount: 36519
                        publishedAt: '2021-07-28T21:00:53Z'
                        updatedAt: '2021-07-28T21:00:53Z'
                  - id: UgydjT4M9GRaOeaxBvt4AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: >-
                      No way my school program had  a button  that I clicked 100
                      times give me a link to this 💀
                    textOriginal: >-
                      No way my school program had  a button  that I clicked 100
                      times give me a link to this 💀
                    authorDisplayName: '@ShadowDreamed'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/FH8VFS_k4QVx6qMUVUhoEDWDuzlIU-awGBV2xqvzrabpSYfCPl-VS9CCT-9kEh1Bit_JjUtmxg=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@ShadowDreamed
                    authorChannelId:
                      value: UCT4E8RSd3QMUT53w8yWE-lg
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:58:13Z'
                    updatedAt: '2024-09-24T14:58:13Z'
                    totalReplyCount: 0
                  - id: Ugy1Zun8eh2Y1cbbuq14AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: Ko je preveo neka lajka
                    textOriginal: Ko je preveo neka lajka
                    authorDisplayName: '@NevenaAntonic-jy4wc'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/QMHUnRfpJAlUKAnCGavuBtttceA-a7OW1_KWgeKfpgYst61NvJufSlIisJmU1Ez4Z8Aqzo0aHQ=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@NevenaAntonic-jy4wc
                    authorChannelId:
                      value: UCMkBeAaKxaRna_RVpLNoC5w
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:52:42Z'
                    updatedAt: '2024-09-24T14:52:42Z'
                    totalReplyCount: 0
                  - id: UgycpikRoe5J6J6YtK14AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: Anyone in September 2011 ??
                    textOriginal: Anyone in September 2011 ??
                    authorDisplayName: '@kartikrausa9524'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/VCSTeRoY_PRdQQbMLWKpVraDEtYxoLCdxG2XQI3IjLWvHIuiXnZnQiDx1Ov3t91NUOuT4dhW=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@kartikrausa9524
                    authorChannelId:
                      value: UCvMNrkUaPGeFSQhSnpPmeJg
                    canRate: true
                    viewerRating: none
                    likeCount: 1
                    publishedAt: '2024-09-24T14:50:45Z'
                    updatedAt: '2024-09-24T14:50:45Z'
                    totalReplyCount: 0
                  - id: Ugxq7VnnGsSsBXBTlUV4AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: >-
                      So this is Postal III thought it was worse but this is a
                      banger thanks RWS. PS: I regert nothing!
                    textOriginal: >-
                      So this is Postal III thought it was worse but this is a
                      banger thanks RWS. PS: I regert nothing!
                    authorDisplayName: '@RealDataHolmes'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/vsC10MF2AV-lpNgbFKPLuuuSvz69_iZb-CQSaUGAD6jk-ktiLACtFdrmA0K1BQNFrWD_g83TXxw=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@RealDataHolmes
                    authorChannelId:
                      value: UCXRGzjWpdi9TeYBrFmcI6hA
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:36:48Z'
                    updatedAt: '2024-09-24T14:36:48Z'
                    totalReplyCount: 0
                  - id: UgzadDqHRmOIN6RbEn14AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: BAAAAH I GOOGLED LENSED IT NOOOOO
                    textOriginal: BAAAAH I GOOGLED LENSED IT NOOOOO
                    authorDisplayName: '@DemestryFox'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/oqyk8dgh9YH7BqvEJyNndMRHV7uQILHdVbRX5y6HkAd8SgmlGdYIapjHdOtZ8KYfoWxsOBFTlsk=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@DemestryFox
                    authorChannelId:
                      value: UCtAF0yh7s452KNakEwofjYQ
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:30:07Z'
                    updatedAt: '2024-09-24T14:30:07Z'
                    totalReplyCount: 0
                  - id: UgxMBv9QsQFr1GViGKl4AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: >-
                      now I am subscribe for you<br>this video song is very
                      nice<br>you so singing
                    textOriginal: |-
                      now I am subscribe for you
                      this video song is very nice
                      you so singing
                    authorDisplayName: '@ur.philistine'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/HJA6OfByTezDL7mSRgiPtxdKFE0L_H9pIoWBzMZbB2v20MxLggmDzkMUso90TiLIxg9td4yj5A=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@ur.philistine
                    authorChannelId:
                      value: UCJgTq0_vltZYdeWpAPY-Hqg
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:24:07Z'
                    updatedAt: '2024-09-24T14:24:07Z'
                    totalReplyCount: 0
                  - id: UgyvD0rQrsOOnI6fov14AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: I just got rick rolled
                    textOriginal: I just got rick rolled
                    authorDisplayName: '@Kirupro820'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/zUI6d1sQ88m7N03r97S2H5FKdURcAVzLk_Hbi8qgaPhJlucNO9yzcytXv_3lnh5ER1XGiIkO=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@Kirupro820
                    authorChannelId:
                      value: UCZ4OjZUJgcs7e4OHbBASklQ
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:20:10Z'
                    updatedAt: '2024-09-24T14:20:10Z'
                    totalReplyCount: 1
                    replies:
                      - id: UgyvD0rQrsOOnI6fov14AaABAg.A8lu1Zj0sz9A8luO81913D
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: Fr
                        textOriginal: Fr
                        parentId: UgyvD0rQrsOOnI6fov14AaABAg
                        authorDisplayName: '@SH_511YT'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/A7zR3TIO9OXytoBMg9V_krrH_5jtFY6M7nznLO7c88cpF-_Pi2itbkSttj-ogD4f26EE7MEXm6E=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@SH_511YT
                        authorChannelId:
                          value: UCfD0aVnGi089uX64uJy84Ag
                        canRate: true
                        viewerRating: none
                        likeCount: 0
                        publishedAt: '2024-09-24T14:23:15Z'
                        updatedAt: '2024-09-24T14:23:15Z'
                  - id: UgzywJ71KwwDqzjwgpN4AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: Кто тоже с пинтереста?
                    textOriginal: Кто тоже с пинтереста?
                    authorDisplayName: '@РоманБел-э6е'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/ytc/AIdro_mLp_RGINKBSTO7UmyXia_g0_TP34B7TwdE0IrvgvvBAKMUUg4Mp9bwf4-tb7ElqKcsUfw=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: >-
                      http://www.youtube.com/@%D0%A0%D0%BE%D0%BC%D0%B0%D0%BD%D0%91%D0%B5%D0%BB-%D1%8D6%D0%B5
                    authorChannelId:
                      value: UC2DcSaaO7Nhbhn0d_GpxPiw
                    canRate: true
                    viewerRating: none
                    likeCount: 0
                    publishedAt: '2024-09-24T14:17:30Z'
                    updatedAt: '2024-09-24T14:17:30Z'
                    totalReplyCount: 0
                  - id: UgxjU1Mu1PYTQTfBMS94AaABAg
                    channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                    videoId: dQw4w9WgXcQ
                    textDisplay: They said it was free Robux
                    textOriginal: They said it was free Robux
                    authorDisplayName: '@Rossdoestuff'
                    authorProfileImageUrl: >-
                      https://yt3.ggpht.com/7A98h5d1Yh87Kf_dQ50ZPikAPMHe7ZjkFwuBlMnGDXVNaIM6MpNEobuHcIRbxWVReKNp866lXQ=s48-c-k-c0x00ffffff-no-rj
                    authorChannelUrl: http://www.youtube.com/@Rossdoestuff
                    authorChannelId:
                      value: UCSj4Azj-uVkjrE4ZswTMgdQ
                    canRate: true
                    viewerRating: none
                    likeCount: 1
                    publishedAt: '2024-09-24T14:16:37Z'
                    updatedAt: '2024-09-24T14:16:37Z'
                    totalReplyCount: 1
                    replies:
                      - id: UgxjU1Mu1PYTQTfBMS94AaABAg.A8ltc_hd2CLA8lvFuICxC2
                        channelId: UCuAXFkgsw1L7xaCfnd5JJOw
                        videoId: dQw4w9WgXcQ
                        textDisplay: HAHAHAHAHA😭😭
                        textOriginal: HAHAHAHAHA😭😭
                        parentId: UgxjU1Mu1PYTQTfBMS94AaABAg
                        authorDisplayName: '@princ3ss_dalia'
                        authorProfileImageUrl: >-
                          https://yt3.ggpht.com/A5lEPCErGs7m5maVHLWqIu416QTB2jwHn2Qkc2VtmTYRzF27Nh86OlH3e4yjzUNkz2J4i0z0pw=s48-c-k-c0x00ffffff-no-rj
                        authorChannelUrl: http://www.youtube.com/@princ3ss_dalia
                        authorChannelId:
                          value: UCJjl7szsSdAoMh_GdbCdhYw
                        canRate: true
                        viewerRating: none
                        likeCount: 0
                        publishedAt: '2024-09-24T14:30:52Z'
                        updatedAt: '2024-09-24T14:30:52Z'
        '400':
          description: Bad Request
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: boolean
                    enum:
                      - false
                  error:
                    type: object
                    properties:
                      issues:
                        type: array
                        items:
                          type: object
                          properties:
                            code:
                              type: string
                            maximum:
                              type: number
                            type:
                              type: string
                            inclusive:
                              type: boolean
                            exact:
                              type: boolean
                            message:
                              type: string
                            path:
                              type: array
                              items:
                                type: string
                          required:
                            - code
                            - type
                            - message
                            - path
                      name:
                        type: string
                        enum:
                          - ZodError
                    required:
                      - issues
                      - name
                required:
                  - success
                  - error
              example:
                success: false
                error:
                  issues:
                    - code: too_big
                      maximum: 11
                      type: string
                      inclusive: true
                      exact: true
                      message: String must contain exactly 11 character(s)
                      path:
                        - videoId
                    - code: custom
                      message: >-
                        Only one of 'videoId', 'channelId', or 'commentId' must
                        be provided
                      path:
                        - videoId
                        - channelId
                        - commentId
                  name: ZodError
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                type: object
                properties:
                  error:
                    type: object
                    properties:
                      message:
                        type: string
                    required:
                      - message
                required:
                  - error
              example:
                error:
                  message: Forbidden
      security:
        - Bearer: []
components:
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer
      bearerFormat: JWT

````